<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| Developed for Fangree Productions
| Site: http://www.fangree.co.uk
| Author: PHPar
| URL: http://www.arfusion.net
| E-Mail: adt4ww@gmail.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."Social_panel/infusion_db.php";

if (!checkrights("SOCL") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

if (file_exists(INFUSIONS."Social_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."Social_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."Social_panel/locale/English.php";
}
if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "su") {
		$message = $locale['SOCL_007'];
	} elseif ($_GET['status'] == "nsu") {
		$message = $locale['SOCL_006'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if (isset($_POST['submit'])) {

$facebook   = stripinput($_POST['facebook']);
$youtube    = stripinput($_POST['youtube']);
$twitter    = stripinput($_POST['twitter']);

    $result = dbquery("UPDATE ".DB_SOCIAL." SET facebook='".$facebook."', youtube='".$youtube."', twitter='".$twitter."'");
    if (!$result) {
		redirect(FUSION_SELF.$aidlink."&status=nsu");
	} else {
		redirect(FUSION_SELF.$aidlink."&status=su");
	}
}
$res = dbquery("SELECT * FROM ".DB_SOCIAL." ");
if (dbrows($res)) {
$row = dbarray($res);

opentable($locale['INF_TITLE']);
echo "<form name='form' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<div width='100%' class='tbl' align='center'>".$locale['INF_HINT']."<hr /></div>\n";
echo "<table cellpadding='0' cellspacing='0' width='60%' class='center'>\n<tr>\n";
echo "<td width='50%' class='tbl' >".$locale['SOCL_001'].":</td>\n";
echo "<td class='tbl'><input type='text' name='facebook' value='".$row['facebook']."' class='textbox' style='width:100px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl' >".$locale['SOCL_002'].":</td>\n";
echo "<td class='tbl'><input type='text' name='youtube' value='".$row['youtube']."' class='textbox' style='width:100px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl' >".$locale['SOCL_003'].":</td>\n";
echo "<td class='tbl'><input type='text' name='twitter' value='".$row['twitter']."' class='textbox' style='width:100px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl' >\n";
echo "<input type='submit' name='submit' value='".$locale['SOCL_005']."' class='button' /></td>\n";
echo "</tr>\n</table>\n</form>\n";
   // Please do not remove copyright info
      include INFUSIONS."Social_panel/copyright_func.php";
      echo showSOCLcopyright();
        // End copyright info
closetable();
}
require_once THEMES."templates/footer.php";
?>