<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Developed for Fangree Productions
| Site: http://www.fangree.co.uk
| Author: PHPar
| URL: http://www.arfusion.net
| E-Mail: adt4ww@gmail.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."Social_panel/infusion_db.php";

if (file_exists(INFUSIONS."Social_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."Social_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."Social_panel/locale/English.php";
}

$inf_title = $locale['INF_TITLE'];
$inf_description = $locale['INF_DESC'];
$inf_version = "1.00";
$inf_developer = "PHPar for Fangree Productions";
$inf_email = "adt4ww@gmail.com";
$inf_weburl = "http://www.arfusion.net";
$inf_folder = "Social_panel";

$inf_newtable[1] = DB_SOCIAL." (
  facebook text NOT NULL,
  youtube text NOT NULL,
  twitter text NOT NULL
) ENGINE=MyISAM ;";

// Insert Default Information
$inf_insertdbrow[1] = DB_SOCIAL." (facebook, youtube, twitter) VALUES('facebookusername', 'youtubeusername', 'twitterusername')";
// Insert New Panel
$inf_insertdbrow[2] = DB_PANELS." (panel_name, panel_filename, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES('".$locale['INF_ADMIN']."', '".$inf_folder."', '1', '2', 'file', '0', '1', '1')";
//Drop Table
$inf_droptable[1] = DB_SOCIAL;
$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='$inf_folder'";

// Admin Icon & Link
$inf_adminpanel[1] = array(
    "title" => $locale['INF_ADMIN'],
    "image" => "socl.png",
    "panel" => "admin.php",
    "rights" => "SOCL"
);
?>